Subject: Re: [RFC PATCHv3 1/4] am: avoid re-directing stdin twice

From: Junio C Hamano <[email-masked]>
Date: Sat, 06 Sep 2014 00:34:21 -0700

Stephen Boyd <[email-masked]> writes:

>>> I see Stephen who wrote the original "Thunderbird save-as" is
>>> already on the Cc list.  How about doing it this way instead?
>
> It was so long ago I can't even remember writing that patch. But I
> googled the thread from 4.5 years ago and I see that you suggested we
> use tr because \r is not portable[1].

Hmph.  That's unfortunate that this may be one of those things that
even though it is in POSIX the real world prevents us from using it.

I wonder if things changed over the past four years, though.  Can
folks on OSX or BSD do a quick check?

Thanks.